Subject: Re: [PATCHv5 00/15] bpf: Add trampoline and dispatcher to /proc/kallsyms

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Fri, 3 Apr 2020 12:32:14 -0300

Em Fri, Mar 13, 2020 at 09:31:51AM +0100, Jiri Olsa escreveu:
> On Thu, Mar 12, 2020 at 07:39:27PM -0700, Alexei Starovoitov wrote:
> > On Thu, Mar 12, 2020 at 08:55:55PM +0100, Jiri Olsa wrote:
> > > hi,
> > > this patchset adds trampoline and dispatcher objects
> > > to be visible in /proc/kallsyms. The last patch also
> > > adds sorting for all bpf objects in /proc/kallsyms.
> > 
> > I removed second sentence from the cover letter and
> > applied the first 12 patches.
> > Thanks a lot!
> > 
> > > For perf tool to properly display trampoline/dispatcher you need
> > > also Arnaldo's perf/urgent branch changes. I merged everything
> > > into following branch:
> > > 
> > >   git://git.kernel.org/pub/scm/linux/kernel/git/jolsa/perf.git bpf/kallsyms
> > 
> > It sounds that you folks want to land the last three patches via Arnaldo's tree
> > to avoid conflicts?
> > Right?
> 
> right, thanks

Thanks, applied those 3 patches, will try and test this all when I get
my branch merged,

- Arnaldo